Loading...
Searching...
No Matches
etl::message_bus< MAX_ROUTERS_ > Class Template Reference

The message bus. More...

`#include <message_bus.h>`

## Public Member Functions

| message_bus ()
| Constructor.
| message_bus (etl::imessage_router &successor_)
| Constructor.
Public Member Functions inherited from etl::imessage_bus
bool | subscribe (etl::imessage_router &router)
| Subscribe to the bus.
void | unsubscribe (etl::message_router_id_t id)
| Unsubscribe from the bus.
void | unsubscribe (etl::imessage_router &router)
virtual void | receive (const etl::imessage &message) ETL_OVERRIDE
virtual void | receive (etl::shared_message shared_msg) ETL_OVERRIDE
virtual void | receive (etl::message_router_id_t destination_router_id, const etl::imessage &message) ETL_OVERRIDE
virtual void | receive (etl::message_router_id_t destination_router_id, etl::shared_message shared_msg) ETL_OVERRIDE
bool | accepts (etl::message_id_t id) const ETL_OVERRIDE
size_t | size () const
void | clear ()
ETL_DEPRECATED bool | is_null_router () const ETL_OVERRIDE
bool | is_producer () const ETL_OVERRIDE
bool | is_consumer () const ETL_OVERRIDE
bool | accepts (const etl::imessage &msg) const
Public Member Functions inherited from etl::imessage_router
bool | accepts (const etl::imessage &msg) const
etl::message_router_id_t | get_message_router_id () const
Public Member Functions inherited from etl::successor< imessage_router >
| successor ()
| Default constructor.
void | set_successor (successor_type &s)
| Set the successor.
void | append_successor (TSuccessor &s)
| Append a successor.
void | clear_successor ()
| Clear the successor.
void | clear_successor_chain ()
| Clear the successor chain.
successor_type & | get_successor () const
bool | has_successor () const
| Does this have a successor?

## Additional Inherited Members

Public Types inherited from etl::imessage_router
enum | { NULL_MESSAGE_ROUTER = 255 , MESSAGE_BUS = 254 , ALL_MESSAGE_ROUTERS = 253 , MESSAGE_BROKER = 252 , MESSAGE_ROUTER = 251 , MAX_MESSAGE_ROUTER = 249 }
Public Types inherited from etl::successor< imessage_router >
typedef imessage_router | successor_type
Protected Member Functions inherited from etl::imessage_bus
| imessage_bus (router_list_t &list)
| Constructor.
| imessage_bus (router_list_t &router_list_, etl::imessage_router &successor_)
| Constructor.
Protected Member Functions inherited from etl::imessage_router
| imessage_router (etl::message_router_id_t id_)
| imessage_router (etl::message_router_id_t id_, imessage_router &successor_)

## Detailed Description

template<uint_least8_t MAX_ROUTERS_>
class etl::message_bus< MAX_ROUTERS_ >

The message bus.

The documentation for this class was generated from the following file:

- include/etl/message_bus.h